digiKam Developer Documentation: ShowFoto::ShowfotoStackViewSideBar Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
ShowFoto::ShowfotoStackViewSideBar Class Reference
Inheritance diagram for ShowFoto::ShowfotoStackViewSideBar:

## Signals
void | signalAddFavorite ()
void | signalClearItemsList ()
void | signalLoadContentsFromFiles (const QStringList &files, const QString &current)
void | signalRemoveItemInfos (const QList< ShowfotoItemInfo > &infos)
void | signalShowfotoItemInfoActivated (const ShowfotoItemInfo &info)

## Public Member Functions
| ShowfotoStackViewSideBar (Showfoto *const parent)
QUrl | currentUrl () const
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
const QString | getCaption ()
const QIcon | getIcon ()
int | iconSize () const
QList< QAction * > | pluginActions () const
void | registerPluginActions (const QList< DPluginAction * > &actions)
void | setSortOrder (int order)
void | setSortRole (int role)
void | setThumbbar (ShowfotoThumbnailBar *const thumbbar)
int | sortOrder () const
int | sortRole () const
QList< QUrl > | urls () const
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Member Function Documentation

## ◆ doLoadState()

void ShowFoto::ShowfotoStackViewSideBar::doLoadState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void ShowFoto::ShowfotoStackViewSideBar::doSaveState | ( |  | ) |
| overridevirtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.